home   |   А-Я   |   A-Z   |   меню


Листинг 6.12. Расчет параметров колеса

procedure TGearsForm.Button1Click(Sender: TObject);

var

// раздел объявления переменных

// все объекты приведенных интерфейсов используются при построении

doc3 : ksDocument3D;

iPart : ksPart;

PlaneXOY : ksEntity;

PlaneXOZ : ksEntity;

PlaneYOZ : ksEntity;

SketchEntity : ksEntity;

iSketchDef : ksSketchDefinition;

doc : ksDocument2D;

r : reference;

iBaseRotatedEntity : ksEntity;

Color : ksColorParam;

iBaseRotatedDef : ksBaseRotatedDefinition;

iSketch1Entity : ksEntity;

iSketch1Def : ksSketchDefinition;

iCutExtrusion : ksEntity;

iCutExtrusionDef : ksCutExtrusionDefinition;

iOffsetPlaneEntity : ksEntity;

iOffsetPlaneDef : ksPlaneOffsetDefinition;

iSketch2Entity : ksEntity;

iSketch2Def : ksSketchDefinition;

iSketch3Entity : ksEntity;

iSketch3Def : ksSketchDefinition;

iOffsetPlane1Entity : ksEntity;

iOffsetPlane1Def : ksPlaneOffsetDefinition;

iSketch4Entity : ksEntity;

iSketch4Def : ksSketchDefinition;

iCutLoftEntity : ksEntity;

iCutLoftDef : ksCutLoftDefinition;

Collect : ksEntityCollection;

iAxis : ksEntity;

iAxis2PlDef : ksAxis2PlanesDefinition;

iCircularCopy : ksEntity;

iCirCopyDef : ksCircularCopyDefinition;

Collect1 : ksEntityCollection;

// геометрические параметры колеса

module : double;

Lm, Dm : double;

Dv : double;

b_k, c : double;

d_k, d_fk, d_ak : double;

delta0 : double;

z : integer;

beta : double;

Dotv : double;

alfa1, alfa2 : double;

begin

Hide; // прячем диалоговое окно

// считываем параметры, введенные пользователем в окне

module := StrToFloat(Edit1.Text);

z := StrToInt(Edit2.Text);

Lm := StrToFloat(Edit3.Text);

beta := StrToFloat(Edit4.Text);

// диаметр отверстия под вал

Dv := round(Lm/1.4);

// ширину маточины и ширину колеса принимаем равными

b_k := Lm;

// диаметр маточины

Dm := 1.8*Dv;

// толщина диска, соединяющего маточину с ободом

c := round(0.35*b_k);

// толщина обода

delta0 := round(2.5*module/cos(DegToRad(beta)));

d_k := module*z; // делительный диаметр колеса

d_ak := d_k+2*module; // диаметр выступов

d_fk := d_k-2.5*module; // диаметр впадин

// диаметр размещения центров отверстий в диске

Dotv := (d_fk – 2*delta0 + Dm)/2;

// создание детали...

// построение модели...

Close; // закрываем форму

end;

Если сейчас собрать приложение и попробовать запустить библиотеку, ничего происходить не будет, потому что пока ничего не создается и не строится.

Следующий этап построения намного более интересен – он заключается в программном создании документа КОМПАС-Деталь (листинг 6.13). В данном листинге раздел описания переменных и расчет параметров колеса пропущен, а приведен только фрагмент кода, реализующий создание документа-детали. В процедуру построения (обработчик нажатия кнопки Построение) этот фрагмент должен быть вставлен сразу после расчетов.


Листинг 6.11. Обработчик щелчка на кнопке Отмена | КОМПАС-3D V10 на 100 % | Листинг 6.13. Создание документа детали